Retrieve a list of all checks
GET
https://api.vercel.com/v1/deployments/{deploymentId}/checksList all of the checks created for a deployment.
This endpoint is deprecated
https://api.vercel.com/v1/deployments/{deploymentId}/checks
const response = await fetch('https://api.vercel.com/v1/deployments/deploymentId/checks?teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "checks": [ { "completedAt": "123", "conclusion": "canceled", "createdAt": "123", "detailsUrl": "https://example.com", "id": "icfg_1234567890", "integrationId": "example_id", "name": "Example Name", "output": { "metrics": { "FCP": { "value": "123", "previousValue": "123", "source": "web-vitals" }, "LCP": { "value": "123", "previousValue": "123", "source": "web-vitals" }, "CLS": { "value": "123", "previousValue": "123", "source": "web-vitals" }, "TBT": { "value": "123", "previousValue": "123", "source": "web-vitals" }, "virtualExperienceScore": { "value": "123", "previousValue": "123", "source": "web-vitals" } } }, "path": "string", "rerequestable": "false", "blocking": "false", "startedAt": "123", "status": "completed", "updatedAt": "123" } ]}AuthorizationbearerToken
Default authentication mechanism